{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_BS"; 
            externalType = VARCHAR2; 
            name = idBs; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = IDKX10ELT; 
            externalType = VARCHAR2; 
            name = idkx10elt; 
            valueClassName = NSString; 
            valueType = S; 
            width = 45; 
        }, 
        {
            columnName = "PAGE_ID"; 
            externalType = NUMBER; 
            name = pageId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PRE_ETAT"; 
            externalType = VARCHAR2; 
            name = preEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            columnName = "PRE_ID"; 
            externalType = NUMBER; 
            name = preId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PRE_MONTANT"; 
            externalType = NUMBER; 
            name = preMontant; 
            precision = 8; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PRE_QUOTITE"; 
            externalType = NUMBER; 
            name = preQuotite; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, idBs, idkx10elt, pageId, preEtat, preId); 
    className = "org.cocktail.kaki.server.metier.EOPafReimputation"; 
    classProperties = (
        agent, 
        dCreation, 
        dModification, 
        exercice, 
        idBs, 
        kx10Element, 
        preEtat, 
        preMontant, 
        preQuotite
    ); 
    externalName = "jefy_paf.PAF_REIMPUTATION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            agent, 
            dCreation, 
            dModification, 
            exercice, 
            idBs, 
            kx10Element, 
            preEtat, 
            preMontant, 
            preQuotite
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafReimputation"; 
    }; 
    name = PafReimputation; 
    primaryKeyAttributes = (preId); 
    relationships = (
        {
            destination = PafAgent; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pageId; sourceAttribute = pageId; }); 
            name = agent; 
        }, 
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = Kx10Element; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idkx10elt; sourceAttribute = idkx10elt; }); 
            name = kx10Element; 
        }
    ); 
}
